classification
Title: Make XMLPullParser in ElementTree inherit from XMLParser
Type: enhancement Stage: resolved
Components: Library (Lib), XML Versions: Python 3.4
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: eli.bendersky, scoder
Priority: normal Keywords:

Created on 2013-09-13 16:03 by scoder, last changed 2013-09-29 08:46 by scoder. This issue is now closed.

Messages (4)
msg197605 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2013-09-13 16:03
As mentioned in tickets #18902 and #17741, the XMLPullParser in the external lxml.etree package inherits from the existing XMLParser class. This makes the interface simpler, both simpler to explain and to implement.

The implementation in ElementTree should do the same.
msg198524 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2013-09-28 15:13
Any comment and/or reason?
msg198527 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2013-09-28 15:51
Discussed in #18990

Future discussions of this class belong in #18902
msg198570 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2013-09-29 08:46
Given that the inheritance chain has no real user impact, I can live with this difference.
History
Date User Action Args
2013-09-29 08:46:11scodersetmessages: + msg198570
2013-09-28 15:51:29eli.benderskysetmessages: + msg198527
2013-09-28 15:13:15scodersetmessages: + msg198524
2013-09-28 15:11:35eli.benderskysetstatus: open -> closed
resolution: wont fix
stage: resolved
2013-09-13 16:03:32scodercreate